org.eclipse.mat.parser.internal

## Class ParserPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.mat.parser.internal.ParserPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ParserPlugin
    extends org.eclipse.core.runtime.Plugin

### Field Summary

Fields
`static String` `PLUGIN_ID`

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`ParserPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ParserPlugin` `getDefault()`
`org.eclipse.core.runtime.dynamichelpers.IExtensionTracker` `getExtensionTracker()`
`ParserRegistry` `getParserRegistry()`
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### ParserPlugin

    public ParserPlugin()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.core.runtime.Plugin`
Throws:
  `Exception`

#### getDefault

    public static ParserPlugin getDefault()

#### getExtensionTracker

    public org.eclipse.core.runtime.dynamichelpers.IExtensionTracker getExtensionTracker()

#### getParserRegistry

    public ParserRegistry getParserRegistry()